EM FHEquiv: Difference between revisions

From FreeCAD Documentation
({{EM Tools navi}} {{Userdocnavi}} to categorize the page)
(Removed Category:External Workbenches because it is already included in the {{EM Tools navi}} template.)
Line 6: Line 6:
|Name=EM FHEquiv
|Name=EM FHEquiv
|MenuLocation=EM → FHEquiv
|MenuLocation=EM → FHEquiv
|Workbenches=[[EM Workbench|EM]]
|Workbenches=[[EM Workbench|EM]] (add-on)
|Shortcut=E E
|Shortcut=E E
|SeeAlso=[[EM_FHNode|EM FHNode]], [[EM_FHSegment|EM FHSegment]], [[EM_FHPath|EM FHPath]], [[EM_FHPlane|EM FHPlane]], [[EM_FHPort|EM FHPort]],
|SeeAlso=[[EM_FHNode|EM FHNode]], [[EM_FHSegment|EM FHSegment]], [[EM_FHPath|EM FHPath]], [[EM_FHPlane|EM FHPlane]], [[EM_FHPort|EM FHPort]],
|Version=0.17 (Add-on)
|Version=0.17
}}
}}


Line 72: Line 72:
fhequiv = EM.makeFHEquiv(fhnode1, fhnode2)
fhequiv = EM.makeFHEquiv(fhnode1, fhnode2)
}}
}}

{{clear}}
<translate>
<translate>
<!--T:19-->
<!--T:19-->
{{EM Tools navi}}
{{EM Tools navi}}
{{Userdocnavi}}
{{Userdocnavi}}
[[Category:External Workbenches]]
</translate>
</translate>
{{clear}}

Revision as of 04:11, 21 October 2019

Other languages:

EM FHEquiv

Menu location
EM → FHEquiv
Workbenches
EM (add-on)
Default shortcut
E E
Introduced in version
0.17
See also
EM FHNode, EM FHSegment, EM FHPath, EM FHPlane, EM FHPort,

Description

The FHEquiv tool short-circuits two FHNode objects.

FastHenry FHEquiv

How to use

The FHEquiv object is based on the two existing FHNodes that it will short-circuit.

  1. Select two FHNode objects
  2. Press the EM FHEquiv button, or press E then E keys.

Remarks:

  • If you need to short-circuit multiple nodes, just create multiple FHEquiv nodes. You don't need a full mesh of FHEquiv nodes, as of course if node1 is shorted with node2, and node2 is shorted with node3, also node1 will result shorted with node3.

Properties

  • DataNode1: the first FHNode to short-circuit
  • DataNode2: the second FHNode to short-circuit

Scripting

See also: FreeCAD Scripting Basics.

The FHEquiv object can be used in macros and from the Python console by using the following function:

equiv = makeFHEquiv(node1=None,node2=None,name='FHEquiv')
  • Creates a FHEquiv object.
  • node1 is the first node FHNode object to short-circuit.
  • node2 is the second node FHNode object to short-circuit.
  • name is the name of the object

Example:

import FreeCAD, EM

fhnode1 = EM.makeFHNode(X=1.0,Y=0,Z=0)
fhnode2 = EM.makeFHNode(X=0,Y=1.0,Z=0)

fhequiv = EM.makeFHEquiv(fhnode1, fhnode2)